[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Xen-devel] [PATCH] tools/check: check for yajl (needed by libxl)



On 10/04/2011 05:00 PM, Ian Campbell wrote:
On Tue, 2011-10-04 at 15:48 +0100, Andre Przywara wrote:
On 09/30/2011 12:39 PM, Ian Campbell wrote:
On Fri, 2011-09-30 at 11:35 +0100, Anthony PERARD wrote:
On Fri, Sep 30, 2011 at 08:36, Ian Campbell<ian.campbell@xxxxxxxxxx>   wrote:
  ...
You probably want to check the yajl headers as well, no ?
#include<yajl/yajl_parse.h>
#include<yajl/yajl_gen.h>

...
Also wouldn't it be nicer to link this small library statically? This
would omit the runtime requirement at all.
The test team just spelled yajl as "yet another library to get Xen
running"...

I don't think this is necessary, it's just a library you need to install
and for most users the packaging system will transparently cover this.
All the usual reasons for not statically linking stuff apply here.
There's nothing special about that wrt Xen and/or the size of the
library.

Unfortunately this package is not omnipresent in the distributions. Though I find it already in Fedora 13, it is not in the official RHEL5 repos, also not in anything before OpenSuSE 11.4 and before SLES11SP2. This creates quite some hassle for any people using one of these systems to build and run Xen. And pulling it from github will push most people (like me ;-) into version 2 in the first place.

But I guess this will not convince you to drop it from unstable. That's why I thought static linking (or including in the tree?) would ease the pain here.

Also be advised that it looks like this is relying on version 1 of yajl.
It looks like the new version 2.0.1 is not compatible, I got compile
errors with the newer version. If the stable version 1.x is required,
this should be stated somewhere or at least checked properly in check_yajl.

Any idea what we could test for here?

The sanest way would be to do it like configure and check explicitly for the data structure that we rely on, but I guess just looking for a symlink called libyajl.so.1 in /usr/lib64 should suffice here.


diff -r 302b7556edd9 -r de602616358b tools/check/check_yajl_lib
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/tools/check/check_yajl_lib        Fri Sep 30 11:39:35 2011 +0100
@@ -0,0 +1,6 @@
+#!/bin/sh
+# CHECK-BUILD CHECK-INSTALL
+
+. ./funcs.sh
+
+has_lib libyajl.so || fail "can't find libyajl.so"

+has_lib libyajl.so.1 || fail "can't find libyajl.so version 1"

Regards,
Andre.

--
Andre Przywara
AMD-OSRC (Dresden)
Tel: x29712


_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.